default["java"]["jdk_version"] = 7

default["tomcat"]["base_version"] = 7
default["tomcat"]["deploy_manager_apps"] = false
default["tomcat"]["java_options"] = "-Xmx512M -Djava.awt.headless=true"
default["tomcat"]["user"] = "tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["group"] = "tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["home"] = "/usr/share/tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["base"] = "/var/lib/tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["config_dir"] = "/etc/tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["log_dir"] = "/var/log/tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["tmp_dir"] = "/tmp/tomcat#{node["tomcat"]["base_version"]}-tmp"
default["tomcat"]["work_dir"] = "/var/cache/tomcat#{node["tomcat"]["base_version"]}"
default["tomcat"]["context_dir"] = "#{node["tomcat"]["config_dir"]}/Catalina/localhost"
default["tomcat"]["webapp_dir"] = "/var/lib/tomcat#{node["tomcat"]["base_version"]}/webapps"
default["tomcat"]["lib_dir"] = "#{node["tomcat"]["home"]}/lib"
default["tomcat"]["endorsed_dir"] = "#{node["tomcat"]["lib_dir"]}/endorsed"

default["railo"]["major_version"] = "4"
default["railo"]["minor_version"] = "2"
default["railo"]["user"]["id"] = "tomcat#{node["tomcat"]["base_version"]}"

default["presidecms"]["downloadurl"] = "http://downloads.presidecms.com/presidecms/bleeding-edge/PresideCMS-0.1.2.zip"
default["presidecms"]["installation_root_directory"] = "/opt/preside"
