presidecms_download_location = "/var/tmp/presidecms.zip"

remote_file presidecms_download_location do
  source node["presidecms"]["downloadurl"]
end

bash "extract downloaded PresideCMS archive" do
  code <<-EOL
  unzip -o #{presidecms_download_location} -d #{node["presidecms"]["installation_root_directory"]}
  EOL
end


presidedir = Dir.glob( node["presidecms"]["installation_root_directory"] + '/*/' ).reduce( "" ) do |lastdir,thisdir|
  thisdir
end

file presidecms_download_location do
  action :delete
end

template "#{node['railo']['config_dir']}/server/railo-server/context/railo-server.xml" do
  source "railo-server.xml.erb"
  mode "0644"
  variables ({
    :presidedir => presidedir
  })
end
