PresideCMS Cookbook
===================

This cookbook installs PresideCMS on Railo 4.2 and Tomcat 7 (configurable). The result is a vanilla Tomcat + Railo server with the following modifications:

* Tuckey URL Rewrite Filter is installed and configured for PresideCMS
* PresideCMS is downloaded and a server wide Railo mapping is created
* Railo is configured for PresideCMS (small tweaks to default configuration)

Right now, no example site is installed. The intention of this Cookbook is simply a working server that is ready to have sites running under Tomcat.

Requirements
------------

The cookbook has been tested on Ubuntu 14.04, but should work on most platforms where Java 6 or 7 work.

### Platforms
- Ubuntu

### Cookbooks
- railo
- zip

Attributes
----------
version

* `node['presidecms']['version']` PresideCMS version, right now only 'bleedingedge' (default) and 'stable' are available
* `node['presidecms']['installation_root_directory']` Root directory in which to install PresideCMS. Defaults to "/opt/preside" which result in the core CMS code being installed to "/opt/preside/presidecms-x.x.x.xxx" (where x.x.x.xxx is the version of PresideCMS that is installed.

Usage
-----
Just include `recipe[presidecms]` in your node's `run_list`

Contributing
------------

1. Fork the repository on Github
2. Create a named feature branch (like `add_component_x`)
3. Write you change
4. Test your change
5. Submit a Pull Request
